### Method

# Msg MailService get_folder_id

#### Declaration [src]

    char*
    msg_mail_service_get_folder_id (
      MsgMailService* self,
      MsgMailFolderType type,
      GCancellable* cancellable,
      GError** error
    )

#### Description

No description available.

#### Parameters

`type`

  Type: `MsgMailFolderType`

  No description available.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `char*`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.